commit:     e61cd30e51c45620f6fef3300c44a42e94d1ea3a
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  5 05:11:07 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Oct  5 05:11:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e61cd30e

dev-python/pyftpdlib: add 1.5.7

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyftpdlib/Manifest               |  1 +
 dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild | 84 +++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/dev-python/pyftpdlib/Manifest b/dev-python/pyftpdlib/Manifest
index 5e424d106727..06203ee0db01 100644
--- a/dev-python/pyftpdlib/Manifest
+++ b/dev-python/pyftpdlib/Manifest
@@ -1 +1,2 @@
 DIST pyftpdlib-1.5.6.tar.gz 188099 BLAKE2B 
508e94da6b27b4b1f15306df2916c176f07ca31944398e9ac580fca8d2cdc72ca0ee8e7db282de6745e2e401b23b1fa8cb8de400dc2ba998b93ac45772c78157
 SHA512 
a3c3c1cac221a8a3c090ee208c03134bb1b8de58099a23ca6ee422f06fb97a0ed561c96e62c62b21fa112dd0b3458651b9fc0c55d72dc0bed79d0583b319a50d
+DIST pyftpdlib-1.5.7.tar.gz 196076 BLAKE2B 
9400fb9ff5d8c0e904f07dabef72a07528bc43a5332ad26544f0e512c457a919e887e9f9af18b75cb7853f2e0b70993bc5a858438924320e738d4bc9e2e17090
 SHA512 
66ad5a1ab8fde26233250351f553cdc411303616d717c416cdce059f93c64e6ef64c7707103644583249b6aba22a9841994b38e731edc7997e95e266dbdbdc22

diff --git a/dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild 
b/dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild
new file mode 100644
index 000000000000..19dfac6e6963
--- /dev/null
+++ b/dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python FTP server library"
+HOMEPAGE="https://github.com/giampaolo/pyftpdlib 
https://pypi.org/project/pyftpdlib/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
+IUSE="examples ssl"
+
+RDEPEND="
+       ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+
+python_test() {
+       cd "${BUILD_DIR}"/lib || die
+
+       # These tests fail when passing additional options to pytest
+       # so we need to run them separately and not pass any args to pytest
+       pytest ${PN}/test/test_misc.py || die "Tests failed with ${EPYTHON}"
+       # Some of these tests tend to fail
+       local EPYTEST_DESELECT=(
+               # Those tests are run separately
+               pyftpdlib/test/test_misc.py
+               # https://github.com/giampaolo/pyftpdlib/issues/471
+               # https://bugs.gentoo.org/636410
+               
pyftpdlib/test/test_functional.py::TestCallbacks::test_on_incomplete_file_received
+               # https://github.com/giampaolo/pyftpdlib/issues/512
+               # https://bugs.gentoo.org/701146
+               
pyftpdlib/test/test_functional_ssl.py::TestFtpStoreDataTLSMixin::test_rest_on_stor
+               
pyftpdlib/test/test_functional_ssl.py::TestFtpStoreDataTLSMixin::test_stor_ascii
+               # https://github.com/giampaolo/pyftpdlib/issues/513
+               # https://bugs.gentoo.org/676232
+               
pyftpdlib/test/test_servers.py::TestFtpAuthentication::test_anon_auth
+               # https://github.com/giampaolo/pyftpdlib/issues/513
+               # https://bugs.gentoo.org/702578
+               
pyftpdlib/test/test_servers.py::TestFtpAuthentication::test_auth_failed
+               # https://github.com/giampaolo/pyftpdlib/issues/543
+               # https://bugs.gentoo.org/758686
+               
pyftpdlib/test/test_functional.py::ThreadedFTPTests::test_idle_timeout
+               
pyftpdlib/test/test_functional.py::ThreadedFTPTests::test_stou_max_tries
+               # https://github.com/giampaolo/pyftpdlib/issues/550
+               # https://bugs.gentoo.org/759040
+               
pyftpdlib/test/test_functional.py::TestConfigurableOptions::test_masquerade_address
+               
pyftpdlib/test/test_functional.py::TestConfigurableOptions::test_masquerade_address_map
+               
pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptions::test_masquerade_address
+               
pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptions::test_masquerade_address_map
+               
pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptionsTLSMixin::test_masquerade_address
+               
pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptionsTLSMixin::test_masquerade_address_map
+       )
+       # Tests fail with TZ=GMT, see https://bugs.gentoo.org/666623
+       local -x TZ=UTC+1
+       # Skips some shoddy tests plus increases timeouts
+       local -x TRAVIS=1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}
+
+python_install_all() {
+       if use examples; then
+               docinto examples
+               dodoc -r demo/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to